> For the complete documentation index, see [llms.txt](https://docs.cloudassert.com/hybr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloudassert.com/hybr/installation/deployment/untitled.md).

# Core Components

1. Download the installer files \
   [Hybr-2403.5.msi](https://cloudassertdownloads.blob.core.windows.net/hybrdocsinstallers/20240402.1-release/Trisul.Setup.msi?sp=r\&st=2024-04-02T10:46:03Z\&se=2027-12-31T18:46:03Z\&spr=https\&sv=2022-11-02\&sr=b\&sig=7sOpFKTqJwUzvmkAdRCNPGj451b%2FpNOXjNpNoxNkRjk%3D)\
   [Hybr-2403.5.Initialize-Hybr.ini](https://cloudassertdownloads.blob.core.windows.net/hybrdocsinstallers/20240402.1-release/Initialize-Hybr.ini?sp=r\&st=2024-04-02T10:43:28Z\&se=2027-12-31T18:43:28Z\&spr=https\&sv=2022-11-02\&sr=b\&sig=f91xuCeBGNYDab4k8iK3FIfvRFtEhh7Qd90DahhTiF8%3D)\
   [Hybr-2403.5.setup-hybr.bat](https://cloudassertdownloads.blob.core.windows.net/hybrdocsinstallers/20240402.1-release/setup-hybr.bat?sp=r\&st=2024-04-02T10:37:07Z\&se=2027-12-31T18:37:07Z\&spr=https\&sv=2022-11-02\&sr=b\&sig=IqGMgRZ6VBz%2FAZb7J95Fn3scle%2Bpz2pRME%2Fy96MCegs%3D)\
   [Hybr-2403.5.SetupProducts-hybr.bat](https://cloudassertdownloads.blob.core.windows.net/hybrdocsinstallers/20240402.1-release/SetupProducts.bat?sp=r\&st=2024-04-02T10:44:50Z\&se=2027-12-31T18:44:50Z\&spr=https\&sv=2022-11-02\&sr=b\&sig=GJF%2BLUvrifEWu1Tehpdck73xnhmfUb69mbD4sdyj8%2Bs%3D)
2. Below are the prerequisites file if needed <https://cloudassertdownloads.blob.core.windows.net/hybr/1.1.1.0/AAD%20-%20Prerequsites.pdf><https://cloudassertdownloads.blob.core.windows.net/hybr/1.1.1.0/HYBR%20prerequisites%20for%20Live%20environment.pdf><https://cloudassertdownloads.blob.core.windows.net/hybr/1.1.1.0/HYBR%20prerequisites%20for%20POC%20environment.pdf>
3. Fill the Initialize-Hybr.ini file and then run the setup-hybr.bat file in administrator mode
   1. Properties
   2. Auth Provider
   3. DB Config
   4. AdminOrg
   5. ServiceConfig
      1. `SHOULD_CONFIGURE_VCONNECT` - 1 if Vconnect needs to configured, otherwise 0
      2. `IS_VCONNECT_ONLY_FOR_WORKFLOW` - 1 if Vconnect is installed only for Workflow, otherwise 0
      3. `VCONNECT_ENDPOINT` - http endpoint of the Vconnect instance
      4. `VCONNECT_API_KEY` - Vconnect instance's API key
      5. `VCONNECT_API_SECRET` - Vconnect instance's API secret
4. Open Cmd in admin mode.
5. Setup-hybr.bat install
6. Navigate to 'C:\inetpub\HybrWebApp' and update identity provider information in web.config
   1. Set `IsAADEnabled` value to `true` if the customer needs support for Microsoft Entra ID; Otherwise set to `false`
      1. If this value is set to `true`, update the below web.config with relevant values
         1. `AADAuthority` - <https://login.microsoftonline.com/common>
         2. `AADClientId` - Azure App's Client ID
         3. `AADClientSecret` - Azure App's client secretIn
   2. Set `IsADFS2016Enabled` value to `true` if the customer needs support for AD FS 2016; Otherwise set to `false`
      1. If this value is set to `true`,&#x20;
         1. Add redirect URLs in application with the following format

            [https://{subDomainName}.admin.hybrlocal.com/OrgAccounts/SignInSuccess](https://%7bsubDomainName%7d.admin.hybrlocal.com/OrgAccounts/SignInSuccess)[https://{subDomainName}.admin.hybrlocal.com/OrgAccounts/SignOutCallback](https://%7bsubDomainName%7d.admin.hybrlocal.com/OrgAccounts/SignOutCallback)         [https://{subDomainName}.hybrlocal.com/Accounts/SignInSuccess](https://%7bsubDomainName%7d.hybrlocal.com/Accounts/SignInSuccess)         [https://{subDomainName}.hybrlocal.com/Accounts/SignOutCallback](https://%7bsubDomainName%7d.hybrlocal.com/Accounts/SignOutCallback)         [https://{subDomainName}.hybrlocal.com/Register/SignInSuccess](https://%7bsubDomainName%7d.hybrlocal.com/Register/SignInSuccess)
         2. Update the below web.config with relevant values
            1. `ADFS2016Authority`
            2. `ADFS2016MetaDataAddress`
            3. `ADFS2016ClientId`
            4. `ADFS2016ClientSecret`
   3. Set `AdminOrgIdentityProviderType` value to
      1. `AAD` if Microsoft Entra ID is going to be used as identity provider for Hybr admin portal
      2. `ADFS2016` if AD FS 2016 is going to be used as identity provider for Hybr admin portal
7. Hybr - Service Notification Handler settings
   1. To Sync Subscription with external services
   2. To log Service Catalog purchaseSet below app settings with appropriate values

| Settings Name      | Group              | Value           |
| ------------------ | ------------------ | --------------- |
| IsNotifyAzureQueue | EventNotifications | True/False      |
| HybrApiUsername    | HybrApiSettings    | ex: hybrapiuser |
| HybrApiPassword    | HybrApiSettings    |                 |

8\. To Support Custom domain

1. Create DB for App
2. Add connection string in MVC (and API)'s web.config
3. Raise a custom domain request, this should create necessary tables on DB
4. Add custom domain mappings. Example:

![](/files/HOnrNIjfwm6lpgR4Ga8c)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cloudassert.com/hybr/installation/deployment/untitled.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
